Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1061056 - Review Request: cockpit - A user interface for Linux servers
Summary: Review Request: cockpit - A user interface for Linux servers
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stephen Gallagher
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-04 10:16 UTC by Patrick Uiterwijk
Modified: 2016-07-13 16:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-06 09:20:52 UTC
sgallagh: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Patrick Uiterwijk 2014-02-04 10:16:11 UTC
Spec URL: http://puiterwijk.fedorapeople.org//cockpit.spec
SRPM URL: http://puiterwijk.fedorapeople.org//cockpit-0.2-0.1.d7ebc3dgit.fc20.src.rpm

Description:
Cockpit runs in a browser and can manage your network of GNU/Linux
machines.

Comment 1 Patrick Uiterwijk 2014-02-04 10:16:45 UTC
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6487781

Comment 2 Patrick Uiterwijk 2014-02-04 13:37:55 UTC
Most of libgsystem has now been patched out (only the header file remains).

Spec URL: Spec URL: http://puiterwijk.fedorapeople.org//cockpit.spec
SRPM URL: http://puiterwijk.fedorapeople.org/cockpit-0.2-0.2.5e1faadgit.fc20.src.rpm

Comment 3 Stephen Gallagher 2014-02-04 14:34:46 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== ISSUES =====
 * License: should be 'LGPLv2+' according to
   https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Good_Licenses
 * Please correct the FSF address in cockpit-0.2/src/ws/mock-io-stream.c. I
   also suspect this was supposed to be LGPLv2.1+, but it's of little
   consequence.
 * The tarball contains the bundled sources of libgsystem. Ideally upstream
   should remove this if it's not being used, but if they do not, this spec
   file must remove everything but the headers.
 * Don't use %{mandir}/* for manpage ownership of manpages. This results in
   cockpit owning the manpage directories, not just the files. It's better to
   include the explicit names, as it means you will notice at build time if you
   start accidentally adding inappropriate files here.
   Alternately, %{mandir}/man*/* is acceptable, since it will only include
   things below the man* path.
 * The config files in /etc need to be %config(noreplace) (dbus, config and
   PAM) for both the main package and test-assets.
 * Move the binaries for the test-server and test-agent to
   /usr/libexec/cockpit. Executables cannot be in /usr/share, since its
   contents must be noarch.
 * Spec file needs to own /usr/share/cockpit directly
 * Please add an explicit Requires: dbus to address the ownership of the dbus
   directories. (Relying on indirect dependency is not future-proof).
 * Package is bundling fonts. This is not strictly forbidden, but if it can
   rely on already-packaged fonts, this is highly preferable.
 * There is 2MB of data in /usr/share. Most of this is violating the WebAssets
   packaging policy: https://fedoraproject.org/wiki/Packaging:Web_Assets


===== MUST items =====

C/C++:
[X]: Package does not contain kernel modules.
[X]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2.1 or later)", "LGPL", "LGPL (v2 or later) (with incorrect FSF
     address)", "Unknown or generated". 3 files have unknown license. Detailed
     output of licensecheck in /dev/shm/1061056-cockpit/licensecheck.txt
[X]: License file installed when any subpackage combination is installed.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/cockpit
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /etc/dbus-1/system.d,
     /usr/lib/systemd/system, /usr/share/cockpit, /etc/dbus-1,
     /usr/lib/systemd
[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/man/man5(filesystem),
     /usr/share/man/man8(filesystem)
[X]: %build honors applicable compiler flags or justifies otherwise.
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[X]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[X]: Package contains systemd file(s) if in need.
[X]: Useful -debuginfo package or justification otherwise.
[X]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 4 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[X]: Scriptlets must be sane, if used.
[X]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[X]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 2150400 bytes in /usr/share
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: cockpit-0.2-0.2.5e1faadgit.fc21.x86_64.rpm
          cockpit-test-assets-0.2-0.2.5e1faadgit.fc21.x86_64.rpm
          cockpit-0.2-0.2.5e1faadgit.fc21.src.rpm
cockpit.x86_64: W: invalid-license LGPLv2.1+
cockpit.x86_64: E: non-standard-dir-perm /var/lib/cockpit 0700L
cockpit.x86_64: W: non-conffile-in-etc /etc/dbus-1/system.d/com.redhat.Cockpit.conf
cockpit.x86_64: E: standard-dir-owned-by-package /usr/share/man/man8
cockpit.x86_64: E: non-standard-dir-perm /etc/cockpit/ws-certs.d 0700L
cockpit.x86_64: E: standard-dir-owned-by-package /usr/share/man/man5
cockpit.x86_64: W: non-conffile-in-etc /etc/cockpit/config
cockpit.x86_64: W: non-conffile-in-etc /etc/pam.d/cockpit
cockpit-test-assets.x86_64: W: invalid-license LGPLv2.1+
cockpit-test-assets.x86_64: E: arch-dependent-file-in-usr-share /usr/share/cockpit-test-assets/test-server
cockpit-test-assets.x86_64: E: arch-dependent-file-in-usr-share /usr/share/cockpit-test-assets/test-agent
cockpit-test-assets.x86_64: W: only-non-binary-in-usr-lib
cockpit-test-assets.x86_64: W: no-documentation
cockpit-test-assets.x86_64: W: non-conffile-in-etc /etc/dbus-1/system.d/com.redhat.Cockpit.DBusTests.Test.conf
cockpit.src: W: invalid-license LGPLv2.1+
cockpit.src: W: invalid-url Source0: cockpit-5e1faad.tar.gz
3 packages and 0 specfiles checked; 6 errors, 10 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint cockpit cockpit-test-assets
cockpit.x86_64: W: invalid-license LGPLv2.1+
cockpit.x86_64: E: non-standard-dir-perm /var/lib/cockpit 0700L
cockpit.x86_64: W: non-conffile-in-etc /etc/dbus-1/system.d/com.redhat.Cockpit.conf
cockpit.x86_64: E: standard-dir-owned-by-package /usr/share/man/man8
cockpit.x86_64: E: non-standard-dir-perm /etc/cockpit/ws-certs.d 0700L
cockpit.x86_64: E: standard-dir-owned-by-package /usr/share/man/man5
cockpit.x86_64: W: non-conffile-in-etc /etc/cockpit/config
cockpit.x86_64: W: non-conffile-in-etc /etc/pam.d/cockpit
cockpit-test-assets.x86_64: W: invalid-license LGPLv2.1+
cockpit-test-assets.x86_64: E: arch-dependent-file-in-usr-share /usr/share/cockpit-test-assets/test-server
cockpit-test-assets.x86_64: E: arch-dependent-file-in-usr-share /usr/share/cockpit-test-assets/test-agent
cockpit-test-assets.x86_64: W: only-non-binary-in-usr-lib
cockpit-test-assets.x86_64: W: no-documentation
cockpit-test-assets.x86_64: W: non-conffile-in-etc /etc/dbus-1/system.d/com.redhat.Cockpit.DBusTests.Test.conf
2 packages and 0 specfiles checked; 6 errors, 8 warnings.
# echo 'rpmlint-done:'



Requires
--------
cockpit (rpmlib, GLIBC filtered):
    /bin/sh
    glib-networking
    libaccountsservice.so.0()(64bit)
    libc.so.6()(64bit)
    libcockpit-1.0.so.0()(64bit)
    libdbus-1.so.3()(64bit)
    libdbus-glib-1.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgudev-1.0.so.0()(64bit)
    libjson-glib-1.0.so.0()(64bit)
    libm.so.6()(64bit)
    libnm-glib.so.4()(64bit)
    libnm-util.so.2()(64bit)
    libpam.so.0()(64bit)
    libpam.so.0(LIBPAM_1.0)(64bit)
    libpthread.so.0()(64bit)
    libssh.so.4()(64bit)
    libsystemd-daemon.so.0()(64bit)
    libsystemd-daemon.so.0(LIBSYSTEMD_DAEMON_31)(64bit)
    libsystemd-id128.so.0()(64bit)
    libsystemd-id128.so.0(LIBSYSTEMD_ID128_38)(64bit)
    libsystemd-journal.so.0()(64bit)
    libsystemd-journal.so.0(LIBSYSTEMD_JOURNAL_187)(64bit)
    libsystemd-journal.so.0(LIBSYSTEMD_JOURNAL_195)(64bit)
    libsystemd-journal.so.0(LIBSYSTEMD_JOURNAL_196)(64bit)
    libsystemd-journal.so.0(LIBSYSTEMD_JOURNAL_38)(64bit)
    libudisks2.so.0()(64bit)
    lvm2
    mdadm
    realmd
    rtld(GNU_HASH)
    sshpass
    systemd
    udisks2

cockpit-test-assets (rpmlib, GLIBC filtered):
    /bin/sh
    cockpit(x86-64)
    libc.so.6()(64bit)
    libcockpit-1.0.so.0()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libjson-glib-1.0.so.0()(64bit)
    libpam.so.0()(64bit)
    libpam.so.0(LIBPAM_1.0)(64bit)
    libpthread.so.0()(64bit)
    libssh.so.4()(64bit)
    libsystemd-daemon.so.0()(64bit)
    libsystemd-daemon.so.0(LIBSYSTEMD_DAEMON_31)(64bit)
    libsystemd-id128.so.0()(64bit)
    libsystemd-journal.so.0()(64bit)
    openssh-clients
    rtld(GNU_HASH)



Provides
--------
cockpit:
    cockpit
    cockpit(x86-64)
    libcockpit-1.0.so.0()(64bit)

cockpit-test-assets:
    cockpit-test-assets
    cockpit-test-assets(x86-64)



Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1061056 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 4 Patrick Uiterwijk 2014-02-04 21:04:55 UTC
Spec URL: http://puiterwijk.fedorapeople.org//cockpit.spec
SRPM URL: http://puiterwijk.fedorapeople.org/cockpit-0.2-0.3.5e1faadgit.fc20.src.rpm

I have:
- Fixed license tag 
- Updated to new FSF address upstream
- Removing libgsystem before build
- Now claiming specific manpages
- Made the config files noreplace
- Removed the test assets
- Put the web assets in a subpackage

Comment 5 Patrick Uiterwijk 2014-02-05 09:04:23 UTC
New Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6493257

Comment 6 Stephen Gallagher 2014-02-05 10:55:53 UTC
Almost there. One final comment that I missed the first time around:
https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Snapshot_packages

The Release: tag should be:
Release: 20140204git%{gitrev}

Fix that and I'm ready to approve.

Comment 8 Stephen Gallagher 2014-02-05 13:16:38 UTC
Approved

Comment 9 Patrick Uiterwijk 2014-02-05 13:17:27 UTC
New Package SCM Request
=======================
Package Name: cockpit
Short Description: A user interface for Linux servers
Owners: puiterwijk
Branches: f20
InitialCC:

Comment 10 Gwyn Ciesla 2014-02-05 14:05:02 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2014-02-05 15:46:45 UTC
cockpit-0.2-0.4.20140204git5e1faad.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cockpit-0.2-0.4.20140204git5e1faad.fc20

Comment 12 Fedora Update System 2014-02-06 04:00:22 UTC
cockpit-0.2-0.4.20140204git5e1faad.fc20 has been pushed to the Fedora 20 testing repository.

Comment 13 Patrick Uiterwijk 2014-02-06 09:20:52 UTC
We will not be pushing this to stable in F20 anytime soon probably, so I'll close this bug.
It is in rawhide though

Comment 14 Fedora Update System 2014-03-31 10:59:05 UTC
cockpit-0.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cockpit-0.3-1.fc20

Comment 15 Fedora Update System 2014-04-03 21:38:07 UTC
cockpit-0.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cockpit-0.4-1.fc20

Comment 16 Fedora Update System 2014-04-15 12:46:30 UTC
cockpit-0.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cockpit-0.5-1.fc20

Comment 17 Fedora Update System 2014-05-21 16:02:12 UTC
cockpit-0.8-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cockpit-0.8-1.fc20

Comment 18 Fedora Update System 2014-06-12 07:26:35 UTC
cockpit-0.10-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cockpit-0.10-1.fc20

Comment 19 Parag Nemade 2014-06-12 07:36:39 UTC
I don't think we need to use package review bug for any further updates once initial release is moved to stable.

Ah wait this package has been never got stable f20 tag....

Comment 20 Fedora Update System 2014-06-20 09:10:01 UTC
cockpit-0.11-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cockpit-0.11-1.fc20

Comment 21 Fedora Update System 2014-06-24 15:03:25 UTC
cockpit-0.12-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cockpit-0.12-1.fc20

Comment 22 Fedora Update System 2014-06-30 09:44:52 UTC
cockpit-0.13-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cockpit-0.13-1.fc20

Comment 23 Fedora Update System 2014-07-03 09:02:08 UTC
cockpit-0.14-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cockpit-0.14-1.fc20

Comment 24 Fedora Update System 2014-07-10 09:08:53 UTC
cockpit-0.15-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cockpit-0.15-1.fc20

Comment 25 Fedora Update System 2014-07-17 07:35:50 UTC
cockpit-0.16-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cockpit-0.16-1.fc20

Comment 26 Fedora Update System 2014-07-30 20:04:24 UTC
cockpit-0.18-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cockpit-0.18-1.fc20

Comment 27 Fedora Update System 2014-08-01 14:09:30 UTC
cockpit-0.18-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cockpit-0.18-2.fc20

Comment 28 Fedora Update System 2014-08-07 10:14:20 UTC
cockpit-0.19-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cockpit-0.19-1.fc20

Comment 29 Fedora Update System 2014-08-14 13:03:16 UTC
cockpit-0.20-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cockpit-0.20-1.fc20

Comment 30 Gwyn Ciesla 2016-07-13 16:39:02 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/docker/cockpit

Comment 31 Gwyn Ciesla 2016-07-13 16:41:20 UTC
Package request has been denied with the reason: Error, resubmitting.


Note You need to log in before you can comment on or make changes to this bug.